<?php
/*
- 
-
*/
include_once 'sys/fnc.php';
include_once 'sys/head.php';

if (!isset($_SESSION['user_id'])) {
if (isset($_GET['login']) && isset($_GET['pass']) && mysql_real_escape_string($_GET['login']) && mysql_real_escape_string($_GET['pass'])) {
$login = mysql_real_escape_string($_GET['login']);
$pass = mysql_real_escape_string($_GET['pass']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `login` = '". $login ."' AND `pass` = '". in_md5($pass) ."' LIMIT 1"), 0)) {
$user = mysql_fetch_object(mysql_query("SELECT `id` FROM `user` WHERE `login` = '". $login ."' AND `pass` = '". in_md5($pass) ."' LIMIT 1"));
setcookie('login', $login, time()+60*60*24*14);
setcookie('pass', in_md5($pass), time()+60*60*24*14);
$_SESSION['user_id'] = $user->id;
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>Вы успешно авторизовались!<br> <a href="/">Войти на сайт</a></p></div></div></div>';
mysql_query("INSERT INTO `logs_user` (`id_user`, `ip`, `ua`, `time`, `success`, `method`) values ('$user->id', '".html($_SERVER['REMOTE_ADDR'])."', '".html($_SERVER['HTTP_USER_AGENT'])."', '".time()."', '1', '1')");
exit;
} else {
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>Неправильный логин или пароль.</p></div></div></div>';
mysql_query("INSERT INTO `logs_user` (`id_user`, `ip`, `ua`, `time`, `success`, `method`) values ('$user->id', '".html($_SERVER['REMOTE_ADDR'])."', '".html($_SERVER['HTTP_USER_AGENT'])."', '".time()."', '0', '1')");

echo '<div class="menu"><a href="/"> На главную</a></div>';
include 'sys/foot.php';
exit;
}
}
}

if (isset($_POST['submit'])) {
$login = mysql_real_escape_string($_POST['login']);
$password = mysql_query("SELECT `pass` FROM `user` WHERE `login` = '$login' LIMIT 1");
if (mysql_num_rows($password) == 1) {
$pass = mysql_real_escape_string($_POST['pass']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `login` = '". $login ."' AND `pass` = '". in_md5($pass) ."' LIMIT 1"), 0)) {
$user = mysql_fetch_object(mysql_query("SELECT `id` FROM `user` WHERE `login` = '". $login ."' AND `pass` = '". in_md5($pass) ."' LIMIT 1"));
header("Location: /scripts/logs_user.php");
setcookie('login', $login, time()+60*60*24*14);
setcookie('pass', in_md5($pass), time()+60*60*24*14);
$_SESSION['user_id'] = $user->id;

mysql_query("INSERT INTO `logs_user` (`id_user`, `ip`, `ua`, `time`, `success`, `method`) values ('$user->id', '".html($_SERVER['REMOTE_ADDR'])."', '".html($_SERVER['HTTP_USER_AGENT'])."', '".time()."', '1', '2')");

exit;
} else {
$error = true;
$errort .= '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>Неправильный логин или пароль.</p></div></div></div>';
mysql_query("INSERT INTO `logs_user` (`id_user`, `ip`, `ua`, `time`, `success`, `method`) values ('$user->id', '".html($_SERVER['REMOTE_ADDR'])."', '".html($_SERVER['HTTP_USER_AGENT'])."', '".time()."', '0', '1')");
}
} else {
$error = true;
$errort .= '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>Неправильный логин или пароль.</p></div></div></div>';
}
echo $errort;
}
echo '<div class="title">Вход</div>';
if (!isset($_SESSION['user_id'])) {
echo '  <META HTTP-EQUIV="REFRESH" CONTENT="0; URL=/login.html">';
}else{
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>Вы должны выйти с аккаунта, прежде чем использовать другой!!!</p></div></div></div>';
}
/* 
======================
Вывод с аккаунта 
======================
*/
if (isset($_GET['exit'])){
setcookie('id_user');
setcookie('pass');
session_destroy();
header('Location: /');
exit;
}
include_once 'sys/foot.php';

?>